import type * as VTable from '@visactor/vtable';
import type { InternalProps } from './types';
export declare function parseMargin(margin?: number | [number, number] | [number, number, number, number]): [number, number, number, number];
export declare function getInternalProps(table: VTable.ListTable): VTable.TYPES.ListTableProtected & InternalProps;
export declare function getRecordByRowIndex(table: VTable.ListTable, bodyRowIndex: number): Record<string, unknown>;
export declare function getOriginalRowHeight(table: VTable.ListTable, bodyRowIndex: number): number;
export declare function findCheckboxColumnIndex(table: VTable.ListTable, field: string | number): number;
export declare function setCellCheckboxStateByAttribute(col: number, row: number, checked: boolean | 'indeterminate', table: VTable.ListTable): void;
